org.apache.cxf.feature

## Class WrappedFeature

- java.lang.Object
- - javax.xml.ws.WebServiceFeature
  - - org.apache.cxf.feature.AbstractFeature
    - - org.apache.cxf.feature.WrappedFeature

- All Implemented Interfaces:
    Feature

      public class WrappedFeature
      extends AbstractFeature

  A Feature is something that is able to customize a Server, Client, or Bus, typically adding capabilities. For instance, there may be a LoggingFeature which configures one of the above to log each of their messages.

  By default the initialize methods all delegate to initializeProvider(InterceptorProvider). If you're simply adding interceptors to a Server, Client, or Bus, this allows you to add them easily.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.ws.WebServiceFeature

      `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedFeature(Feature f)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(Bus bus)`
    `void` | `initialize(Client client, Bus bus)`
    `void` | `initialize(InterceptorProvider interceptorProvider, Bus bus)`
    `void` | `initialize(Server server, Bus bus)`

    - ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

      `getActive, getID, initializeProvider`

    - ### Methods inherited from class javax.xml.ws.WebServiceFeature

      `isEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WrappedFeature

          public WrappedFeature(Feature f)

  - ### Method Detail

    - #### initialize

          public void initialize(Server server,
                                 Bus bus)

      Specified by:
        `initialize` in interface `Feature`
      Overrides:
        `initialize` in class `AbstractFeature`

    - #### initialize

          public void initialize(Client client,
                                 Bus bus)

      Specified by:
        `initialize` in interface `Feature`
      Overrides:
        `initialize` in class `AbstractFeature`

    - #### initialize

          public void initialize(InterceptorProvider interceptorProvider,
                                 Bus bus)

      Specified by:
        `initialize` in interface `Feature`
      Overrides:
        `initialize` in class `AbstractFeature`

    - #### initialize

          public void initialize(Bus bus)

      Specified by:
        `initialize` in interface `Feature`
      Overrides:
        `initialize` in class `AbstractFeature`

Apache CXF